Locale Class Reference

## Public Member Functions

| Locale (const LogString &language)
| Locale (const LogString &language, const LogString &country)
| Locale (const LogString &language, const LogString &country, const LogString &variant)
const LogString & | getLanguage () const
const LogString & | getCountry () const
const LogString & | getVariant () const

## Protected Member Functions

| Locale (const Locale &)
Locale & | operator= (const Locale &)

## Protected Attributes

const LogString | language
const LogString | country
const LogString | variant

## Constructor & Destructor Documentation

## Locale() [1/4]

Locale | ( | const LogString & | language | ) |

## Locale() [2/4]

Locale | ( | const LogString & | language,
|  | const LogString & | country
| ) |  |

## Locale() [3/4]

Locale | ( | const LogString & | language,
|  | const LogString & | country,
|  | const LogString & | variant
| ) |  |

## Locale() [4/4]

Locale | ( | const Locale & |  | ) |

protected

## Member Function Documentation

## getCountry()

const LogString& getCountry | ( |  | ) | const

## getLanguage()

const LogString& getLanguage | ( |  | ) | const

## getVariant()

const LogString& getVariant | ( |  | ) | const

## operator=()

Locale& operator= | ( | const Locale & |  | ) |

protected

## Member Data Documentation

## country

const LogString country

protected

## language

const LogString language

protected

## variant

const LogString variant

protected

The documentation for this class was generated from the following file:

- locale.h